%define url_ver %(echo %{version}|cut -d. -f1,2)

#filter out engine .so provides
%define __provides_exclude_from %{_libdir}/%{name}/engines/.*\\.so
%define __requires_exclude_from %{_libdir}/%{name}/engines/.*\\.so

Summary:       Notification daemon for MATE Desktop
Name:          mate-notification-daemon
Version:       1.28.0
Release:       %mkrel 1
License:       GPLv2+
Group:         Graphical desktop/MATE
URL:           http://mate-desktop.org/
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-notification-daemon-1.20.1-no-exit-on-idle.patch

BuildRequires: intltool
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(dbus-glib-1) >= 0.78
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3) >= 0.4
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.22.0
BuildRequires: libxml2-utils
Requires:      libnotify
Provides:      virtual-notification-daemon

Requires:    notification-daemon-engine-nodoka
Requires:    glibc >= 2.33

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%setup -q
#%%autopatch -p1

%build
%configure2_5x \
     --disable-static \
     --disable-schemas-compile
     
 sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool    
     
%make_build V=1

%install
rm -rf %buildroot
%make_install

# We don't need these
rm -f %{buildroot}%{_libdir}/mate-notification-daemon/engines/*.la
rm -fr %{buildroot}%{_datadir}/MateConf

# See: https://bugzilla.redhat.com/show_bug.cgi?id=484945#c33
rm -rf %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service

# Autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat << EOF > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Notification daemon for MATE Desktop
Exec=%{_libexecdir}/mate-notification-daemon
Icon=mate-notification-properties
OnlyShowIn=MATE;
EOF

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/mate-notification-properties
%{_datadir}/applications/mate-notification-properties.desktop
%{_libexecdir}/mate-notification-daemon
%{_datadir}/icons/hicolor/*/apps/mate-notification-properties.*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_libdir}/mate-notification-daemon/
%{_mandir}/man1/mate-notification-properties.1.*
%{_libexecdir}/mate-notification-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateNotificationAppletFactory.service
 %{_datadir}/mate-panel/applets/org.mate.applets.MateNotificationApplet.mate-panel-applet

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Fri Feb 16 2024 tex - 1.28.0-1pclos2024
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
